#include "lisoc_test.h"
#include "uart.h"
#include "uart_test.h"

/*!
    \brief      uart test
    \param[in]  none
    \param[out] none
    \retval     none
*/
void uart_test(void)
{
  uint8_t rdata;

  debug("uart test start\n");
  uart1_init();
  uart1_send(0x5a);
  rdata = uart1_recv();
  if(rdata == 0x5a)
    debug("uart1 test pass\n");
  else
    debug("uart1 test fail\n");
}
